For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • GETRetrieve a contract
      • GETRetrieve a contract offer checklist
      • GETRetrieve a contract acceptance checklist
      • POSTUpdate a contract's custom fields
      • POSTUpdate a contract's purchase order
      • GETRetrieve a contract's timesheets
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIContracts

Retrieve a contract's timesheets

GET
https://api.yunojuno.com/contracts/:contract_id/timesheets/
GET
/contracts/:contract_id/timesheets/
$curl https://api.yunojuno.com/contracts/contract_id/timesheets/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": [
3 {
4 "timesheet_id": "string",
5 "state": "string",
6 "start_date": "2023-01-15",
7 "end_date": "2023-01-15",
8 "entries": [
9 {
10 "date": "2023-01-15",
11 "kind": "STANDARD",
12 "quantity_completed": "string",
13 "note": "",
14 "project": {
15 "id": "string",
16 "external_id": "string"
17 },
18 "client_purchase_order": {
19 "reference": "string"
20 }
21 }
22 ],
23 "yunojuno_po_number": "string"
24 }
25 ]
26}

Retrieve approved timesheets for a contract.

Return the approved timesheets for a contract, ordered by start date. Only final-state timesheets are exposed via the public API for now (APPROVED or ZERO_TIME).

Was this page helpful?
Previous

Create timesheets in bulk

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contract_idstringRequiredformat: "^ct_c[a-z0-9]{24}$"

Response

datalist of objects